//
//  HomeDetailPresenter.swift
//  UpaxMovie
//
//  Created Imo on 29/02/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import UIKit

class HomeDetailPresenter {
    weak private var view: HomeDetailViewProtocol?
    var interactor: HomeDetailInteractorInputProtocol?
    private let router: HomeDetailWireframeProtocol

    init(interface: HomeDetailViewProtocol, interactor: HomeDetailInteractorInputProtocol?, router: HomeDetailWireframeProtocol) {
        self.view = interface
        self.interactor = interactor
        self.router = router
    }
}

extension HomeDetailPresenter: HomeDetailPresenterProtocol {
    func movieRecommendations(_ page: Int, movieId: Int, completion: @escaping (MovieResponse?) -> Void) {
        interactor?.movieRecommendations(page, movieId: movieId, completion: completion)
    }
}

extension HomeDetailPresenter: HomeDetailInteractorOutputProtocol {
    
}
